Next: _gfortran_caf_atomic_define, Previous: _gfortran_caf_error_stop, Up: Function ABI Documentation [Contents][Index]

#### 8.2.19 `_gfortran_caf_error_stop_str` — Error termination with string

Description:

  Invoked for an `ERROR STOP` statement which has a string as argument. The function should terminate the program with a nonzero-exit code.

Syntax:

  `void _gfortran_caf_error_stop (const char *string, int32_t len)`

Arguments:

  string | the error message (not zero terminated)
  len | the length of the string